Package org.pushingpixels.substance.internal.utils

# Class SubstanceColorSchemeUtilities

java.lang.Object
org.pushingpixels.substance.internal.utils.SubstanceColorSchemeUtilities

public class SubstanceColorSchemeUtilities extends Object
Utilities related to color schemes. This class is for internal use only.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final SubstanceColorScheme`
`GREEN`
Used as reference to the green color scheme.
`static final SubstanceSkin`
`METALLIC_SKIN`
Metallic skin.
`static final SubstanceColorScheme`
`ORANGE`
Used as reference in attention-drawing animations.
`static final SubstanceColorScheme`
`YELLOW`
Used as reference in attention-drawing animations.

## Constructor Summary

Constructors
Constructor
Description
`SubstanceColorSchemeUtilities()`

## Method Summary

Modifier and Type
Method
Description
`static SubstanceColorScheme`
`getActiveColorScheme(Component component, ComponentState componentState)`
Returns the color scheme of the component.
`static float`
`getAlpha(Component component, ComponentState componentState)`
Returns the alpha channel of the color scheme of the component.
`static SchemeBaseColors`
`getBaseColorScheme(InputStream is)`
`static SubstanceColorScheme`
`getColorScheme(Component component, ColorSchemeAssociationKind associationKind, ComponentState componentState)`
Returns the color scheme of the component.
`static SubstanceColorScheme`
`getColorScheme(Component component, ComponentState componentState)`
Returns the color scheme of the specified component.
`static SubstanceColorScheme`
`getColorScheme(JTabbedPane jtp, int tabIndex, ColorSchemeAssociationKind associationKind, ComponentState componentState)`
Returns the color scheme of the specified tabbed pane tab.
`static SubstanceSkin.ColorSchemes`
`getColorSchemes(URL url)`
`static SubstanceColorScheme`
`getDarkColorScheme(String name, Color[] colors)`
`static float`
`getHighlightAlpha(Component component, ComponentState componentState)`
Returns the alpha channel of the highlight color scheme of the component.
`static SubstanceColorScheme`
`getLightColorScheme(String name, Color[] colors)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### METALLIC_SKIN

public static final SubstanceSkin METALLIC_SKIN
Metallic skin.

### YELLOW

public static final SubstanceColorScheme YELLOW
Used as reference in attention-drawing animations. This field is for internal use only.

### ORANGE

public static final SubstanceColorScheme ORANGE
Used as reference in attention-drawing animations. This field is for internal use only.

### GREEN

public static final SubstanceColorScheme GREEN
Used as reference to the green color scheme. This field is for internal use only.

## Constructor Details

### SubstanceColorSchemeUtilities

public SubstanceColorSchemeUtilities()

## Method Details

### getColorScheme

public static SubstanceColorScheme getColorScheme(JTabbedPane jtp, int tabIndex, ColorSchemeAssociationKind associationKind, ComponentState componentState)
Returns the color scheme of the specified tabbed pane tab.

Parameters:
  `jtp` - Tabbed pane.
  `tabIndex` - Tab index.
  `componentState` - Tab component state.
Returns:
  The color scheme of the specified tabbed pane tab.

### getColorScheme

public static SubstanceColorScheme getColorScheme(Component component, ComponentState componentState)
Returns the color scheme of the specified component.

Parameters:
  `component` - Component.
  `componentState` - Component state.
Returns:
  Component color scheme.

### getColorScheme

public static SubstanceColorScheme getColorScheme(Component component, ColorSchemeAssociationKind associationKind, ComponentState componentState)
Returns the color scheme of the component.

Parameters:
  `component` - Component.
  `associationKind` - Association kind.
  `componentState` - Component state.
Returns:
  Component color scheme.

### getActiveColorScheme

public static SubstanceColorScheme getActiveColorScheme(Component component, ComponentState componentState)
Returns the color scheme of the component.

Parameters:
  `component` - Component.
  `componentState` - Component state.
Returns:
  Component color scheme.

### getHighlightAlpha

public static float getHighlightAlpha(Component component, ComponentState componentState)
Returns the alpha channel of the highlight color scheme of the component.

Parameters:
  `component` - Component.
  `componentState` - Component state.
Returns:
  Highlight color scheme alpha channel.

### getAlpha

public static float getAlpha(Component component, ComponentState componentState)
Returns the alpha channel of the color scheme of the component.

Parameters:
  `component` - Component.
  `componentState` - Component state.
Returns:
  Color scheme alpha channel.

### getBaseColorScheme

public static SchemeBaseColors getBaseColorScheme(InputStream is)

### getLightColorScheme

public static SubstanceColorScheme getLightColorScheme(String name, Color[] colors)

### getDarkColorScheme

public static SubstanceColorScheme getDarkColorScheme(String name, Color[] colors)

### getColorSchemes

public static SubstanceSkin.ColorSchemes getColorSchemes(URL url)